using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability370.Domain;

namespace Topsdk.Top.Ability370.Response;

public class TaobaoTbkDgMaterialTemporaryOptionalResponse : AbstractTopApiResponse
{

    /*
        搜索到符合条件的结果总数
            */
    private long? totalResults;


    /*
        resultList
            */
    private IList<TaobaoTbkDgMaterialTemporaryOptionalMapData>? resultList;


    /*
        本地化-lbs分页标识，请在下一次翻页时作为入参传入
            */
    private string? pageResultKey;


    [JsonPropertyName("total_results")]
    public long? TotalResults
    {
        get => totalResults;
        set => this.totalResults = value;
    }

    [JsonPropertyName("result_list")]
    public IList<TaobaoTbkDgMaterialTemporaryOptionalMapData>? ResultList
    {
        get => resultList;
        set => this.resultList = value;
    }

    [JsonPropertyName("page_result_key")]
    public string? PageResultKey
    {
        get => pageResultKey;
        set => this.pageResultKey = value;
    }

}

